_msgs.system =
[
/* 0  */ "ERROR: Failed to commit the new Short Name.",
/* 1  */ "ERROR: Failed to commit the new Long Name.",
/* 2  */ "Changing the Short Name to {} (requires reboot).",
/* 3  */ "Changing the Long Name to {} (requires reboot).",
/* 4  */ "WARNING: Scheduled reboot is enabled.",
/* 5  */ "ERROR: Invalid time. Please select time between 00:00 and 23:59.",
/* 6  */ "ERROR: Invalid interval. Reboots can be scheduled every 1 hour to 1 year.",
/* 7  */ "WARNING: Device will reboot in: {}.",
];

function SystemUploadProgrammingFlashMessage()
{
FileSystemMonitorDisable();
PrintMsg(
"WARNING: Please shut down your browser entirely and restart it " +
"so it will use the updated web pages.",
"results"
);
}

function confirmFactoryReset()
{
return confirm('WARNING: Are you SURE you want to reset the configuration to the factory defaults?'+

'\nIf the SIM lock is enabled you will have to re-enter the PIN.' +

'\nThe device will be rebooted for the changes to take effect.');
}

function confirmFirmwareUpgrade()
{
return confirm('WARNING: Are you SURE you want to upload the new firmware?'+

'\nWARNING: Additional free space may be required on the Filesystem to install Python and some temporary files.' +
//'\nIt is recommended to backup user files and unmount USB drives from the Filesystem.' +




'\nThe device will be rebooted for the changes to take effect.');
}


function UpdateRebootSchedule()
{
Update();
var type = GetDisplayValue("new_scheduled_reboot.Schedule");
SetFxDisplay("scheduled_reboot_time", type=="Daily"?"":"none", true);
SetFxDisplay("scheduled_reboot_interval", type=="Interval"?"":"none", true);
}

function SetRebootScheduleDisplay(xml)
{
displayElementRootNames = new Array();
SetSubmit(false);
SetDisplaySelection('scheduled_reboot.State');
SetDisplaySelection('scheduled_reboot.Schedule');
SetDisplaySelection('scheduled_reboot.Hours');
SetDisplaySelection('scheduled_reboot.Minutes');
SetDisplaySelection('scheduled_reboot.Interval');
SetDisplaySelection('scheduled_reboot.Unit');
UpdateRebootSchedule();
}
